// -------------------------------------------------------------------------------------------------
// xsContenedorFijo.hpp
// -------------------------------------------------------------------------------------------------

#include "gtk/gtk.h"
#include "xsEasyCpp.hpp"
#include "xsObjeto.hpp"

#ifndef __xsContenedorFijo_hpp__
#define __xsContenedorFijo_hpp__

Clase xsContenedorFijo : Publica xsObjeto
{
	Publica:

		xsContenedorFijo();

	    Vacio crear();
		
        Vacio insertarEnEl(xsObjetoGUI* objetoInsertar, 
                           Entero       xPos, 
                           Entero       yPos);

        Vacio moverEnEl(xsObjetoGUI* objetoMover, 
                        Entero       xPos, 
                        Entero       yPos);

        Vacio colocarBorde(Entero borde);

        Vacio establecerHomogeneo(Logico homogeneo);
};

// Fin de la Definición del Archivo
#endif
